Get Return Order

View as Markdown
Retrieves the complete details of a specific return order by its unique ID. Use this to view return status, inventory items, transactions, and processing history.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

idstringRequiredformat: "int32"
The Id of the Return

Headers

shipbob_channel_idstringOptionalformat: "int32"
Channel Id for Operation

Response

OK
arrived_datedatetime or nullOptional
The date and time when the return arrived at the fulfillment center
awaiting_arrival_datedatetime or nullOptional
The date and time when the return entered Awaiting Arrival status
cancelled_datedatetime or nullOptional
The date and time when the return was cancelled, if applicable
channelobjectOptional
The details of a Channel
completed_datedatetime or nullOptional
The date and time for when the return order was completely processed
customer_namestring or nullOptional
Name of merchant that return belongs to
fulfillment_centerobjectOptional
The details of a Fulfillment Center
idintegerOptional
Unique id of the return order
insert_datedatetimeOptional
The date and time for when the return order was created
inventorylist of objects or nullOptional
List of inventory items in return order
invoiceobjectOptional
The invoice amount and curency
original_shipment_idinteger or nullOptional
ShipmentId for which return was created
processing_datedatetime or nullOptional
The date and time when the return started processing
reference_idstring or nullOptional
Unique reference id of the return order. Created by merchant if a regular return.
return_typestring or nullOptional
Type of the return, i.e. Regular, RTS
shipment_tracking_numberstring or nullOptional
The tracking number of the original shipment
statusstring or nullOptional

Status of the return order, i.e. Awaiting Arrival, Arrived, Processing, Completed Cancelled

status_historylist of objects or nullOptional
List of status history in return order
store_order_idstring or nullOptional
Reference to external order id
tracking_numberstring or nullOptional
The tracking number of the return shipping label
transactionslist of objects or nullOptional
List of transactions that make up the billable amount to invoice a merchant

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error